FailoverEventType (ActiveMQ Artemis Web 1.1.0.wildfly-008 API)
Date: 2015-10-29

org.apache.activemq.artemis.api.core.client

## Enum FailoverEventType

- java.lang.Object
- - java.lang.Enum<FailoverEventType>
  - - org.apache.activemq.artemis.api.core.client.FailoverEventType

- All Implemented Interfaces:
    Serializable, Comparable<FailoverEventType>

      public enum FailoverEventType
      extends Enum<FailoverEventType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FAILOVER_COMPLETED`
    `FAILOVER_FAILED`
    `FAILURE_DETECTED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FailoverEventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FailoverEventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FAILURE_DETECTED

          public static final FailoverEventType FAILURE_DETECTED

    - #### FAILOVER_COMPLETED

          public static final FailoverEventType FAILOVER_COMPLETED

    - #### FAILOVER_FAILED

          public static final FailoverEventType FAILOVER_FAILED

  - ### Method Detail

    - #### values

          public static FailoverEventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FailoverEventType c : FailoverEventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FailoverEventType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015. All rights reserved.